Bug 362701 - artsd hangs around forever when launched from GNOME
artsd hangs around forever when launched from GNOME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: arts (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Lukáš Tinkl
Depends On:
  Show dependency treegraph
Reported: 2007-11-01 17:49 EDT by daryl herzmann
Modified: 2015-07-13 13:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHEL 5.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-12-17 07:11:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description daryl herzmann 2007-11-01 17:49:54 EDT
I have the same issue on RHEL5 after launching k3b over ssh.

+++ This bug was initially created as a clone of Bug #140262 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040804 Galeon/1.3.17

Description of problem:
If artsd is launched from within GNOME (as opposed to when KDE is set
as the desktop) then it will continue to run after the user logs out.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Log into GNOME.
2. Start a terminal.
3. Run
noatun /usr/share/sounds/KDE_TypeWriter_Bell.ogg
(this will actually fail since noatun doesn't work with wavs but 
4. Quit noatun.
5. Log out of GNOME.
6. Log into a virtual terminal.
7. run ps auxw | grep artsd

Actual Results:
An artsd process is found.

Expected Results:
No artsd process to be running.

Additional info:

We are seeing this a lot in the small computer room we have because
users sign in and out all the time and use things like K3B from GNOME.
I'm not sure if this is leading to sound problems (i.e. the device
can't be obtained when they log into GNOME because the soundcard has
no hardware mixing and is kept open by artsd).

This does not happen if the Desktop Environment is set to be KDE.

-- Additional comment from sitsofe@yahoo.com on 2005-10-20 18:55 EST --
This is still here in FC4's arts-1.4.2-0.fc4.1

-- Additional comment from sitsofe@yahoo.com on 2006-05-26 13:14 EST --
This is still here in FC5's arts-1.5.2-0.1.fc5 . Perhaps this should be filed
against the devel version?

-- Additional comment from chckens@sucs.org on 2007-03-12 17:55 EST --
Still here on FC6 with arts-1.5.6-0.1.fc6
Comment 1 daryl herzmann 2007-11-16 17:05:34 EST
Same issue with RHEL5.1 
Comment 2 daryl herzmann 2008-06-03 11:54:23 EDT
Same issue with RHEL5.2
Comment 3 Lukáš Tinkl 2010-12-16 14:10:30 EST
Does this still happen with the current version?
Comment 4 daryl herzmann 2010-12-16 16:57:07 EST
Hi, thanks for the message.  I am not able to reproduce this with RHEL5.5.

Note You need to log in before you can comment on or make changes to this bug.